<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="UTF-8"><meta name="copyright" content="(C) Copyright 2020"><meta name="DC.rights.owner" content="(C) Copyright 2020"><meta name="DC.type" content="topic"><meta name="DC.format" content="HTML5"><meta name="DC.identifier" content="validatieservice-validatie-van-een-publicatie"><link rel="stylesheet" type="text/css" href="css/commonltr.css"><link rel="stylesheet" type="text/css" href="css/stop.css"><title>Validatieservice (validatie van een publicatie)</title></head><body id="validatieservice-validatie-van-een-publicatie"><header role="banner"><div>
  <table>
    <tr>
      <td colspan="2">LVBB bronhouderkoppelvlak</td>
      <td class="versie">versie 0.98.4-kern</td>
    </tr>
    <tr>
      <td class="subtitle">
        Voor gebruik in DSO-PI12 en DSO-PI13
      </td>
      <td colspan="2" class="search">
        <form>
          <label for="search_tekst">Zoek naar</label>
          <input type="text" id="search_tekst" size="31" value="">
        </form>
        met
        <form method="get" action="https://www.google.com/search" target="_blank" onsubmit="search_google()">
          <input type="text" name="q" id="search_google_q" size="31" value="" style="display:none;">
          <input type="submit" value="Google">
        </form>
      </td>
    </tr>
  </table>  
  
  <script type="text/javascript">
    function search_google () {
    document.getElementById('search_google_q').value = document.getElementById('search_tekst').value + ' site:https://koop.gitlab.io/lvbb/bhkv-0.98-kern/'
    }
	// Execute a function when the user releases a key on the keyboard
	document.getElementById("search_tekst").addEventListener("keyup", function(event) {
		// Number 13 is the "Enter" key on the keyboard
		if (event.keyCode === 13) {
			//Cancel the default action, if needed
			//event.preventDefault();
			search_google ();
			document.forms["myBtn"].submit();
		}
	});
  </script>
</div></header><nav role="toc"><ul><li><a href="index.html">Introductie</a></li><li><a href="bronhouderkoppelvlak.html">Het bronhouderkoppelvlak</a><ul><li><a href="LVBB_in_het_bekendmakings_en_publicatieproces.html">De LVBB in het bekendmakings- en publicatieproces</a></li><li><a href="Technische_aansluiting.html">Technische aansluiting via CORV/Digikoppeling</a></li><li><a href="interactie_met_bhkv.html">Interactie met het bronhouderskoppelvlak</a><ul><li><a href="Publicatie_bekendmaking_van_een_besluit.html">Publicatieservice</a></li><li class="active"><a href="Validatie_van_een_besluit.html">Validatieservice (validatie van een publicatie)</a></li></ul></li></ul></li><li><a href="lvbb_schemas.html">Overzicht van LVBB-schema's</a></li></ul></nav><main role="main"><article role="article" aria-labelledby="ariaid-title1"><h1 class="title topictitle1" id="ariaid-title1">Validatieservice (validatie van een publicatie)</h1><div class="body"><p class="p">De validatieservice biedt het bevoegd gezag de mogelijkheid om een publicatieopdracht te valideren, om te controleren of de aanlevering om het besluit te publiceren aan alle technische en inhoudelijke eisen voldoet. Deze validatie gebeurt in ieder geval als onderdeel van de publicatieopdracht, maar kan dus ook los worden uitgevoerd, zoveel keren als het Bevoegd Gezag dit nodig acht.</p><p class="p">De publicatieservice wordt aangesproken door de aanlevering van een <a class="xref" href="lvbbt_xsd_Element_lvbbt_validatieOpdracht.html#validatieOpdracht">validatieOpdracht</a> met bijbehorende bestanden aan het LVBB bronhouderkoppelvlak. Het proces Valideren is hieronder uitgedrukt in een BPMN 2.0 diagram.</p></div><article class="topic nested1" aria-labelledby="ariaid-title2" id="bpmn"><h2 class="title topictitle2" id="ariaid-title2">BPMN</h2><div class="body"><img class="image" src="img/validatieservice.png" width="700"><br></div><article class="topic nested2" aria-labelledby="ariaid-title3" id="inhoud-van-de-aanlevering"><h3 class="title topictitle3" id="ariaid-title3">Inhoud van de aanlevering</h3><div class="body"><p class="p">Een aanlevering voor een validatieopdracht bestaat uit een ZIP-bestand met daarin dezelfde bestanden als bij een publicatieopdracht. Het enige verschil is de inhoud van het opdracht bestand (opdracht.xml), met in dit geval een root element validatieOpdracht (zie het voorbeeld). De overige bestanden in de ZIP zijn de bestanden die gevalideerd worden als ware het een <a class="xref" href="Publicatie_bekendmaking_van_een_besluit.html">aanlevering om te publiceren</a>.</p></div></article></article><article class="topic nested1" aria-labelledby="ariaid-title4" id="procesbeschrijving"><h2 class="title topictitle2" id="ariaid-title4">Procesbeschrijving</h2><div class="body"><ol class="ol"><li class="li"><p class="p">Zodra de aanlevering van de validatieopdracht bij de LVBB is ontvangen gaat de validatie van start met de technische validatie binnen de LVBB en vervolgens een inhoudelijke validatie van de opdracht, het manifest en het besluit. Als hierin een fout optreedt stuurt de LVBB een validatieverslag en eindigt het proces.Verlopen deze validaties succesvol, dan wordt doorgegaan naar de volgende stap.</p></li><li class="li"><p class="p">De OW-bestanden worden doorgestuurd naar de OW validatieservice bij het Kadaster. Het daaruit volgende validatieverslag wordt door de LVBB doorgestuurd naar het bevoegd gezag. Ongeacht het resultaat van deze validatie loopt het proces door naar de volgende stap. De reden hiervoor is dat dit een bekendmaking van een besluit niet in de weg mag staan.</p></li><li class="li"><p class="p">De geometrieën worden doorgestuurd naar de geo-validatieservice bij Kadaster. Na ontvangst van het resultaat stuurt de LVBB een laatste validatieverslag naar het bevoegd gezag en eindigt het proces.</p></li></ol></div></article><article class="topic nested1" aria-labelledby="ariaid-title5" id="voorbeeldberichten"><h2 class="title topictitle2" id="ariaid-title5">Voorbeeldberichten</h2><div class="body"></div><article class="topic nested2" aria-labelledby="ariaid-title6" id="opdrachtxml"><h3 class="title topictitle3" id="ariaid-title6">Opdracht.xml</h3><div class="body"><pre class="pre codeblock xml"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
    &lt;validatieOpdracht xmlns:lvbb="http://www.overheid.nl/2017/lvbb"&gt;
        &lt;idLevering&gt;bm0017&lt;/idLevering&gt;
        &lt;publicatie&gt;omgevingsverordening-bm0017.xml&lt;/publicatie&gt;
        &lt;datumBekendmaking&gt;2020-05-01&lt;/datumBekendmaking&gt;
&lt;/validatieOpdracht&gt;</code></pre></div></article><article class="topic nested2" aria-labelledby="ariaid-title7" id="manifestxml"><h3 class="title topictitle3" id="ariaid-title7">manifest.xml</h3><div class="body"><pre class="pre codeblock xml"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;manifest xmlns:lvbb="http://www.overheid.nl/2017/lvbb" &gt;
    &lt;bestand&gt;
        &lt;bestandsnaam&gt;opdracht.xml&lt;/bestandsnaam&gt;
        &lt;contentType&gt;application/xml&lt;/contentType&gt;
    &lt;bestand&gt;
    &lt;bestand&gt;
        &lt;bestandsnaam&gt;manifest.xml&lt;/bestandsnaam&gt;
        &lt;contentType&gt;application/xml&lt;/contentType&gt;
    &lt;bestand&gt;
&lt;/manifest&gt;</code></pre></div></article><article class="topic nested2" aria-labelledby="ariaid-title8" id="validatieverslag-lvbb-success"><h3 class="title topictitle3" id="ariaid-title8">Validatieverslag LVBB (success)</h3><div class="body"><pre class="pre codeblock xml"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;validatieVerzoekResultaat
    xmlns:lvbb="http://www.overheid.nl/2017/lvbb"
    xmlns:stop="http://www.overheid.nl/2017/stop"&gt;
    &lt;uitkomst&gt;succes&lt;/uitkomst&gt;
    &lt;verslag&gt;
    &lt;idLevering&gt;c3738f31-75c7-42ad-9a54-c6958f7f72df&lt;/idLevering&gt;
    &lt;tijdstipVerslag&gt;2020-03-16T12:16:07.559+01:00&lt;/tijdstipVerslag&gt;
    &lt;uitkomst&gt;valide&lt;/uitkomst&gt;
    &lt;/verslag&gt;
&lt;/validatieVerzoekResultaat&gt;</code></pre></div></article><article class="topic nested2" aria-labelledby="ariaid-title9" id="validatieverslag-lvbb-technische-fout-in-aanlevering"><h3 class="title topictitle3" id="ariaid-title9">Validatieverslag LVBB (technische fout in aanlevering)</h3><div class="body"><pre class="pre codeblock xml"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;validatieVerzoekResultaat
    xmlns="http://www.overheid.nl/2017/lvbb"
    xmlns:stop="http://www.overheid.nl/2017/stop"&gt;
    &lt;uitkomst&gt;mislukt&lt;/uitkomst&gt;
    &lt;meldingen&gt;
    &lt;melding&gt;
        &lt;stop:code&gt;BER-0001&lt;/stop:code&gt;
        &lt;stop:ernst&gt;fout&lt;/stop:ernst&gt;
        &lt;stop:soort&gt;technisch&lt;/stop:soort&gt;
        &lt;stop:beschrijving&gt;De opdracht voldoet niet aan de technische eisen: Content type 'application/jpeg' van bestand: 'image001.jpeg' is niet toegestaan&lt;/stop:beschrijving&gt;
    &lt;/melding&gt;
    &lt;/meldingen&gt;
&lt;/validatieVerzoekResultaat&gt;</code></pre></div></article><article class="topic nested2" aria-labelledby="ariaid-title10" id="validatieverslag-lvbb-inhoudelijke-fout"><h3 class="title topictitle3" id="ariaid-title10">Validatieverslag LVBB (inhoudelijke fout)</h3><div class="body"><pre class="pre codeblock xml"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;validatieVerzoekResultaat
    xmlns:lvbb="http://www.overheid.nl/2017/lvbb"&gt;
    &lt;uitkomst&gt;succes&lt;/uitkomst&gt;
    &lt;verslag&gt;
    &lt;idLevering&gt;bm0017-15-20200312-162817&lt;/idLevering&gt;
    &lt;tijdstipVerslag&gt;2020-03-12T16:28:23.017+01:00&lt;/tijdstipVerslag&gt;
    &lt;meldingen
        xmlns:stop="http://www.overheid.nl/2017/stop"&gt;
        &lt;melding&gt;
        &lt;stop:code&gt;SP-0040&lt;/stop:code&gt;
        &lt;stop:ernst&gt;fout&lt;/stop:ernst&gt;
        &lt;stop:soort&gt;inhoudelijk&lt;/stop:soort&gt;
        &lt;stop:beschrijving&gt;[Opdracht- Controleer Inhoud Datum Bekendmaking] Datum bekendmaking 2020-02-21 ligt in het verleden&lt;/stop:beschrijving&gt;
        &lt;/melding&gt;
    &lt;/meldingen&gt;
    &lt;uitkomst&gt;niet-valide&lt;/uitkomst&gt;
    &lt;/verslag&gt;
&lt;/validatieVerzoekResultaat&gt;</code></pre></div></article><article class="topic nested2" aria-labelledby="ariaid-title11" id="validatieverslag-ow-informatie-success"><h3 class="title topictitle3" id="ariaid-title11">Validatieverslag OW-informatie (success)</h3><div class="body"><pre class="pre codeblock xml"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;validatieVerzoekResultaat
    xmlns:lvbb="http://www.overheid.nl/2017/lvbb"
    xmlns:stop="http://www.overheid.nl/2017/stop"&gt;
    &lt;uitkomst&gt;succes&lt;/uitkomst&gt;
    &lt;meldingen&gt;
    &lt;melding&gt;
        &lt;stop:code&gt;DL-0003&lt;/stop:code&gt;
        &lt;stop:ernst&gt;informatie&lt;/stop:ernst&gt;
        &lt;stop:soort&gt;technisch&lt;/stop:soort&gt;
        &lt;stop:beschrijving&gt;Validatie OW informatie&lt;/stop:beschrijving&gt;
    &lt;/melding&gt;
    &lt;/meldingen&gt;
    &lt;verslag&gt;
    &lt;idLevering&gt;4635d8be-a167-42c6-bd57-4a7b9fc2cc1b&lt;/idLevering&gt;
    &lt;tijdstipVerslag&gt;2020-02-25T13:49:32.016+01:00&lt;/tijdstipVerslag&gt;
    &lt;uitkomst&gt;valide&lt;/uitkomst&gt;
    &lt;/verslag&gt;
&lt;/validatieVerzoekResultaat&gt;</code></pre></div></article><article class="topic nested2" aria-labelledby="ariaid-title12" id="validatieverslag-ow-informatie-foutmelding"><h3 class="title topictitle3" id="ariaid-title12">Validatieverslag OW-informatie (foutmelding)</h3><div class="body"><pre class="pre codeblock xml"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;validatieVerzoekResultaat
    xmlns:lvbb="http://www.overheid.nl/2017/lvbb"
    xmlns:stop="http://www.overheid.nl/2017/stop"&gt;
    &lt;uitkomst&gt;mislukt&lt;/uitkomst&gt;
    &lt;meldingen&gt;
    &lt;melding&gt;
        &lt;stop:code&gt;DL-0003&lt;/stop:code&gt;
        &lt;stop:ernst&gt;informatie&lt;/stop:ernst&gt;
        &lt;stop:soort&gt;technisch&lt;/stop:soort&gt;
        &lt;stop:beschrijving&gt;Validatie OW informatie&lt;/stop:beschrijving&gt;
    &lt;/melding&gt;
    &lt;/meldingen&gt;
    &lt;verslag&gt;
    &lt;idLevering&gt;f213a0c9-7338-497d-91dc-15dfc8c7ca24&lt;/idLevering&gt;
    &lt;tijdstipVerslag&gt;2020-03-25T20:23:47.386+01:00&lt;/tijdstipVerslag&gt;
    &lt;meldingen&gt;
        &lt;melding&gt;
        &lt;stop:code&gt;DM-0001&lt;/stop:code&gt;
        &lt;stop:ernst&gt;fout&lt;/stop:ernst&gt;
        &lt;stop:soort&gt;inhoudelijk&lt;/stop:soort&gt;
        &lt;stop:beschrijving&gt;Domeininformatie geleverd maar niet succesvol verwerkt&lt;/stop:beschrijving&gt;
        &lt;/melding&gt;
        &lt;melding&gt;
        &lt;stop:code&gt;SCHEMATRON.03.1&lt;/stop:code&gt;
        &lt;stop:ernst&gt;fout&lt;/stop:ernst&gt;
        &lt;stop:soort&gt;inhoudelijk&lt;/stop:soort&gt;
        &lt;stop:categorie&gt;schematron controle fout&lt;/stop:categorie&gt;
        &lt;stop:beschrijving&gt;SchematronValidatie IMOW 0.98.1-kern - 3. Het standbestand moet één of meer standen bevatten.&lt;/stop:beschrijving&gt;
        &lt;/melding&gt;
    &lt;/meldingen&gt;
    &lt;uitkomst&gt;niet-valide&lt;/uitkomst&gt;
    &lt;/verslag&gt;
&lt;/validatieVerzoekResultaat&gt;</code></pre></div></article></article></article></main></body></html>